Bug 109141 - Writer: Protected cell contents can be altered by drag&drop
Summary: Writer: Protected cell contents can be altered by drag&drop
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2017-07-16 01:22 UTC by librebel
Modified: 2019-07-30 03:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description librebel 2017-07-16 01:22:19 UTC
Version: 5.2.2.2
Build ID: 1:5.2.2-0ubuntu2.1
CPU Threads: 2; OS Version: Linux 4.8; UI Render: default; 
Locale: nl-NL (en_US.UTF-8); Calc: group


Steps to reproduce:

Writer:
1. Create a table in Writer, fill in some cells and select those cells, and then choose the menu "Table : Protect Cells".
2. Select some text inside the protected cell, drag the selection around, and drop it on the same cell or on another protected cell, then the content changes.

Calc:
In Calc the content of cells that are protected by "Tools : Protect Sheet...", can still be changed using this Drag&Drop technique, be it only within the same cell.


Also confirmed for Version V5.4.0.1RC here:
https://ask.libreoffice.org/en/question/110947/potential-security-threat-are-protected-cells-not-protected/
Comment 1 raal 2017-07-16 10:48:28 UTC Comment hidden (obsolete)
Comment 2 pavelz 2017-07-17 17:31:24 UTC
I can reproduce in Writer:

Version: 6.0.0.0.alpha0+
Build ID: cf0a9b9c7a988b74102bcdd38710fb9e80521081
CPU threads: 2; OS: Linux 4.11; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-07-17_13:35:14
Locale: cs-CZ (cs_CZ.UTF-8); Calc: group

But in Calc I cannot reproduce even in 5.2.7.2 (maybe I am missing something in the steps to reproduce).
Comment 3 Timur 2017-07-18 15:48:10 UTC
This bug is then for Writer. Separate bug may be submitted for Calc, should this one, once it's fixed, failed to resolve it. 
Looks like inherited. There are a number of protected cells bugs.
Comment 4 QA Administrators 2018-07-26 02:42:05 UTC Comment hidden (obsolete)
Comment 5 Timur 2018-07-26 07:41:08 UTC
Repro 6.2+. I didn't see some work on protection lately.
Comment 6 QA Administrators 2019-07-30 03:15:24 UTC
Dear librebel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug